Skip to main content
`Ctrl`+`K`

# DMShellCreate

Creates a `DMSHELL` object, used to manage user-defined problem data

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellCreate(MPI_Comm comm, DM *dm)

Collective

## Input Parameter

- comm - the processors that will share the global vector

## Output Parameter

- dm - the `DMSHELL`

## See Also

`DMDestroy()`, `DMCreateGlobalVector()`, `DMCreateLocalVector()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/snes/tutorials/ex73f90t.F90
src/ksp/ksp/tutorials/ex65.c
src/ksp/ksp/tutorials/ex73.c
src/dm/tutorials/swarm_ex3.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages